Xcode 7 con iOS 9 Error en el dispositivo: el dispositivo no está disponible (no se Pudo encontrar un desarrollador de imagen de disco)

Después de actualizar mi iPad a iOS 9 beta pública, estoy recibiendo un error al intentar ejecutar la aplicación en mi iPad. Cuando yo seleccione el iPad como destino, se dice «iPad (no Disponible) o no se Pudo encontrar el desarrollador de imagen de disco. ¿Cómo puedo solucionar este problema? Alguna solución?

Xcode 7 con iOS 9 Error en el dispositivo: el dispositivo no está disponible (no se Pudo encontrar un desarrollador de imagen de disco)

  • que versión de Xcode 7 ¿tiene
  • Xcode 7 semillas GM (beta)

10 Kommentare

  1. 33

    Si usted está utilizando el Xcode 7 GM versión de compilación 7A218, las posibilidades son que usted accidentalmente descargado el iOS 9.1 (13B5110e), a diferencia del iOS 9 GM construir (13A340). Yo hice lo mismo, no se preocupe. Están demasiado cerca el uno del otro en la página de descargas :0

    Puede comprobar la versión que tienes en tu dispositivo, simplemente entrar a tu dispositivo en Ajustes > General > Acerca de > Versión

    Todo lo que tienes que hacer es descargar la correcta iOS 9 GM construir e ir a iTunes. Haga clic en su dispositivo. En la ficha resumen, OPCIÓN + Haga Clic en «Check for Update» y restaurar su dispositivo de navegación a la de iOS 9 GM construir buscador de ubicación. Nota seleccionando la opción «Check for Update» que se no pierde la configuración o los datos de tu dispositivo. En otras palabras, no es una restauración

    Sin embargo, si usted está utilizando Xcode 7.1 versión de compilación (7B60) iOS 9.1 es compatible

    • Mi xcode versión de compilación (7A218) y ios 9 versión de compilación (13B5110e) ¿qué debo hacer? Si puedo rebajar mi ios 9, estará todo bien? (yo no se si es posible)
    • todo va a estar bien. Nada va a ser borrado.
    • he actualizado itunes. Yo creo que después de eso no pude ejecutarlo en mi dispositivo. Así que debo rebajar itunes?
    • ¿Cómo puedo hacer eso? Cuál debería downgrade? itunes o ios?
    • leer mi respuesta. Usted rebajar su dispositivo debido a que el GM Xcode no admite una beta de la versión del sistema operativo. Tienes que descargar el GM de iOS 9 versión de compilación 13A340 e instalarlo como se mencionó anteriormente.
    • Ok, muchas gracias. Pero tengo un problema. Cuando intento descargar ios 9 semillas gm 13a340, dice que «Esta descarga requiere de Desarrollador de Apple membresía en el Programa»
    • Entonces usted necesita un Desarrollador de Apple Membresía en el Programa o inicie sesión en su ya existente @GijoVarghese
    • Pero tengo instalado el ios 9 en mi ipad sin apple developer program antes. No quiero pagar una suma de dinero (va a hacer si es necesario después de aprender).
    • Permítanos continuar esta discusión en el chat.
    • que, realmente, no es algo que cualquiera puede corregir. Si Apple dice que necesita un Desarrollador de Apple Membresía en el Programa, a continuación, que es lo que usted necesita. ( algo no relacionado a la pregunta que has publicado)
    • pero apple me ha dado betaprogram que he utilizado para obtener el mismo software ios sin tener que pagar. Nada ilegal
    • Nos estamos metiendo en temas relacionados a esta pregunta. He respondido a su pregunta en particular en detalle anteriormente. Apple permita que nadie descargar iOS 9 beta pública. Es por eso que estaba en todas las noticias. y esa es la razón por la que fueron capaces. Si desea que el GM construir de iOS 9 se necesita un programa de afiliación. Eso es todo allí está a él.
    • se puede solucionar este problema cuando io9 estable liberado?
    • Puede usted por favor responder responder a esta stackoverflow.com/questions/32659562/…

  2. 9

    Yo tenía el mismo problema y todo lo que tenía que hacer era actualizar mi XCode 7.1. Después de que funcionaba. Su Xcode ha de ser actualizado a la última versión.

    • Cualquiera que esté leyendo, tuve que ir a la App Store e instalar de forma manual para obtener la actualización.
  3. 7

    Esto también es encontrado al intentar utilizar Xcode 6.4 contra de iOS 9.0.x del dispositivo. He aquí cómo usted puede solución y obtener Xcode 6.4 reconocer su iOS 9.0.x dispositivos:

    1. Descargar Xcode 7.0.1:

    http://developer.apple.com/devcenter/download.action?path=/Developer_Tools/Xcode_7.0.1/Xcode_7.0.1.dmg

    1. Abrir Xcode_7.0.1.dmg y arrastre el Xcode.aplicación para el escritorio

    2. Haga clic en, Mostrar contenido del paquete, navegar en /Contenido/Desarrollador/Plataformas/iPhoneOS.plataforma/DeviceSupport

    3. Copia de la «9.0 (13A340)» directorio a la existente DeviceSupport directorio para su Xcode 6.4 instalar. Por ejemplo: ~/Aplicaciones/Xcode.app/Contents/Desarrollador/Plataformas/iPhoneOS.plataforma/DeviceSupport

    4. Reiniciar Xcode 6.4 (si se estaba ejecutando), y su dispositivo con iOS 9.0.x debe mostrar ahora como un dispositivo no reconocido.

    • Xcode-beta nunca incluye la más reciente «estable» de la liberación. Que siempre necesita copiar los DeviceSupport carpeta de Xcode. Supongo que lo que hay dentro? El Desarrollador de imagen de Disco. Ocurre hoy con 9.1 como lo fue para la 9.0.
    • Gracias por esto! 🙂 Muy apreciado, trabajó como un encanto! 🙂
    • Un gran trabajo, pero el reloj, Xcode.aplicación de los pesos de más de 10 GB.
  4. 4

    Actualización De Xcode. Si no es de ayuda:
    ir a

    /Applications/Xcode-beta.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport

    Si no encuentra allí su dispositivo iOS versión, usted podría tratar de copiar último uno y cambiarle el nombre para que uno necesita reiniciar XCode y tratar de compilar, a mí me funciona.

    • Gracias , esto ayuda a reanudar rápidamente el trabajo mientras que la descarga de la nueva xcode
    • iamlcarus, eres bienvenido! Me enfrenté con este problema a través de iOS beta de prueba de suscripción, así que he tenido iOS 9.1 beta, pero mi versión estable de Xcode no sabía que este sistema operativo.
  5. 1

    He experimentado el mismo problema

    No se pudo encontrar el Desarrollador de Imagen de Disco

    1) Mi Xcode version was 7.0.1 y he actualizado mi iPhone to version 9.2, a continuación, en el uso de Xcode mi iPhone se muestra en la sección de dispositivo no está disponible. Al igual que en la imagen de abajo:

    Xcode 7 con iOS 9 Error en el dispositivo: el dispositivo no está disponible (no se Pudo encontrar un desarrollador de imagen de disco)

    2) Pero de alguna manera me las arreglé para seleccionar mi iPhone haciendo clic en

    Producto -> Destino -> no Disponible Dispositivo

    Xcode 7 con iOS 9 Error en el dispositivo: el dispositivo no está disponible (no se Pudo encontrar un desarrollador de imagen de disco)

    3) Pero eso no resuelve mi problema y comenzó a mostrar

    No se pudo encontrar el Desarrollador de Imagen de Disco

    Xcode 7 con iOS 9 Error en el dispositivo: el dispositivo no está disponible (no se Pudo encontrar un desarrollador de imagen de disco)

    Solución), finalmente he descargado la última versión de Xcode version 9.2 de https://developer.apple.com/downloads/ y todo funcionó bien para mí.

  6. 0

    Me había XCode 7.0.1 instalado + iOS 9.1 (13B143).

    XCode me había mostrado «dispositivo no compatible» /»no se pudo encontrar el desarrollador de imagen de disco» en los Dispositivos de windows hasta que he actualizado mi XCode a la versión 7.1. Todo funciona bien ahora.

  7. 0

    Yo ya había actualizar a la última versión de Xcode (7.0.1), pero todavía no se puede construir en el iPod touch 5 en iOS 9.1(13B143).Después de la copia 9.1 (13B137) carpeta de mi colega a DeviceSupport carpeta en Xcode, funciona! No está seguro de que iba a crear algunos efectos secundarios.

Kommentieren Sie den Artikel

Bitte geben Sie Ihren Kommentar ein!
Bitte geben Sie hier Ihren Namen ein

Recent Articles

Python «set» con duplicados/elementos repetidos

Hay una forma estándar de representar un "conjunto" que puede contener elementos duplicados. Como yo lo entiendo, un conjunto tiene exactamente un cero o...

Python: generador de expresión vs rendimiento

En Python, ¿hay alguna diferencia entre la creación de un generador de objetos a través de un generador de expresión versus el uso de...

Cómo exportar/importar la Masilla lista de sesiones?

Hay una manera de hacer esto? O tengo que tomar manualmente cada archivo de Registro? InformationsquelleAutor s.webbandit | 2012-10-23

no distingue mayúsculas de minúsculas coincidentes en xpath?

Por ejemplo, para el xml a continuación <CATALOG> <CD title="Empire Burlesque"/> <CD title="empire burlesque"/> <CD...